Abrir un chat con un restaurante
POST /api/chats/open-chat
Descripción
Abre el chat de una mesa, un canal de entrega o una reserva, y lo crea si no existe.
Detalles
* Con el código de un QR o link abre el chat para pedir en ese lugar o canal. * Sin código abre un chat para reservar. * Si ya tienes un pedido en curso de ese tipo, abre ese chat y avisa si es de otro lugar. * Si ya tenías un chat sin pedido en el mismo lugar, lo reabre en vez de crear otro. * Un chat sin pedido que lleva 6 horas quieto no se reabre: se crea uno nuevo.
Permisos requeridos
public
Request
| Nombre | Tipo | Requerido | Reglas |
|---|---|---|---|
| slug | string | Sí |
min:1
max:80
|
| deviceUuid | string | Sí |
min:36
max:36
|
| token | string | No |
max:64
|
Ejemplo de request
curl -X POST https://restofy.pro/api/chats/open-chat \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <accessToken>" \
-d '{
"slug": "string",
"deviceUuid": "string"
}'
Los valores son demo: reemplázalos por datos reales del negocio.
Ejemplo de respuesta
Actualizado: 2026-10-09T02:12:12Z
HTTP 200
Request
{
"slug": "mi-negocio",
"deviceUuid": "476ab80f-e921-407d-a7b2-2270a545fd85",
"token": "***"
}
Response
{
"success": true,
"message": "Chat",
"data": {
"chat": {
"chatUuid": "83604f8d-c386-11f1-a755-a2f78ac020f7",
"contextType": "counter",
"fulfillmentUuid": "026d13c0-858e-4679-9bed-89b413b36752",
"linkToken": "***",
"placeName": null,
"orderUuid": null,
"reservationUuid": null,
"isInProgress": false,
"slug": "mi-negocio",
"restaurantName": "Mi Negocio",
"logoUrl": null,
"timezone": "America/Bogota",
"isRestaurantActive": true,
"createdAt": "2026-10-09T02:09:52.000Z"
},
"isOtherPlace": false,
"isNew": true
}
}